diff -Nuar a/config.c b/config.c
--- a/config.c	2014-10-16 13:12:35.000000000 +0200
+++ b/config.c	2014-11-04 19:22:31.750055957 +0100
@@ -1,6 +1,6 @@
 #include <sys/queue.h>
 /* Alloca is defined in stdlib.h in NetBSD */
-#ifndef __NetBSD__
+#if !defined(__NetBSD__) && !defined(__FreeBSD__)
 #include <alloca.h>
 #endif
 #include <limits.h>
@@ -24,6 +24,10 @@
 #include <fnmatch.h>
 #include <sys/mman.h>
 
+#if !defined(PATH_MAX) && defined(__FreeBSD__)
+#include <sys/param.h>
+#endif
+
 #include "basenames.h"
 #include "log.h"
 #include "logrotate.h"
diff -Nuar a/logrotate.c b/logrotate.c
--- a/logrotate.c	2014-10-16 13:12:35.000000000 +0200
+++ b/logrotate.c	2014-11-04 19:25:35.440056498 +0100
@@ -1,6 +1,6 @@
 #include <sys/queue.h>
 /* alloca() is defined in stdlib.h in NetBSD */
-#ifndef __NetBSD__
+#if !defined(__NetBSD__) && !defined(__FreeBSD__)
 #include <alloca.h>
 #endif
 #include <limits.h>
@@ -25,6 +25,10 @@
 #include <limits.h>
 #endif
 
+#if !defined(PATH_MAX) && defined(__FreeBSD__)
+#include <sys/param.h>
+#endif
+
 #include "basenames.h"
 #include "log.h"
 #include "logrotate.h"
diff -Nuar a/Makefile b/Makefile
--- a/Makefile	2014-10-16 13:12:35.000000000 +0200
+++ b/Makefile	2014-11-04 19:26:07.850056594 +0100
@@ -22,7 +22,9 @@
 
 ifeq ($(WITH_ACL),yes)
 CFLAGS += -DWITH_ACL
+ifneq ($(OS_NAME),FreeBSD)
 LOADLIBES += -lacl
+endif
 # See pretest
 TEST_ACL=1
 else
